OpenTTD Source: ReadBuffer Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
ReadBuffer Struct Reference

A buffer for reading (and buffering) savegame data. More...

## Public Member Functions
| ReadBuffer (std::shared_ptr< LoadFilter > reader)
| Initialise our variables.
uint8_t | ReadByte ()
size_t | GetSize () const
| Get the size of the memory dump made so far.

## Data Fields
uint8_t | buf [MEMORY_CHUNK_SIZE]
| Buffer we're going to read from.
uint8_t * | bufp
| Location we're at reading the buffer.
uint8_t * | bufe
| End of the buffer we can read from.
std::shared_ptr< LoadFilter > | reader
| The filter used to actually read.
size_t | read
| The amount of read bytes so far from the filter.

## Detailed Description

A buffer for reading (and buffering) savegame data.

Definition at line 87 of file saveload.cpp.

## Constructor & Destructor Documentation

## ◆ ReadBuffer()

ReadBuffer::ReadBuffer | ( | std::shared_ptr< LoadFilter > | reader | ) |
| inline

Initialise our variables.

Parameters

  reader | The filter to actually read data.

Definition at line 98 of file saveload.cpp.

## Member Function Documentation

## ◆ GetSize()

size_t ReadBuffer::GetSize | ( |  | ) | const
| inline

Get the size of the memory dump made so far.

Returns
  The size.

Definition at line 120 of file saveload.cpp.

References bufp.

## ◆ ReadByte()

uint8_t ReadBuffer::ReadByte | ( |  | ) |
| inline

Definition at line 102 of file saveload.cpp.

## Field Documentation

## ◆ buf

uint8_t ReadBuffer::buf[MEMORY_CHUNK_SIZE]

Buffer we're going to read from.

Definition at line 88 of file saveload.cpp.

## ◆ bufe

uint8_t* ReadBuffer::bufe

End of the buffer we can read from.

Definition at line 90 of file saveload.cpp.

## ◆ bufp

uint8_t* ReadBuffer::bufp

Location we're at reading the buffer.

Definition at line 89 of file saveload.cpp.

Referenced by GetSize().

## ◆ read

size_t ReadBuffer::read

The amount of read bytes so far from the filter.

Definition at line 92 of file saveload.cpp.

## ◆ reader

std::shared_ptr<LoadFilter> ReadBuffer::reader

The filter used to actually read.

Definition at line 91 of file saveload.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp